# Generated by Clash Verge

mode: rule
mixed-port: 7890
allow-lan: true
log-level: info
secret: ''
external-controller: 127.0.0.1:9090
dns:
  enable: true
  listen: 0.0.0.0:533
  default-nameserver:
  - 119.29.29.29
  - 114.114.114.114
  enhanced-mode: redir-host
  fake-ip-range: 198.18.0.1/16
  use-hosts: true
  nameserver:
  - https://doh.pub/dns-query
  - https://dns.alidns.com/dns-query
  - dhcp://end0
  - tls://dns.rubyfish.cn:853
  - https://1.1.1.1/dns-query
  fallback: []
tun:
  enable: true
  stack: gvisor
  dns-hijack:
  - any:53
  auto-route: true
  auto-detect-interface: true
proxies:
- name: US1
  server: us1.008816.xyz
  port: 80
  type: vmess
  uuid: d4b8e15a-2e8a-4def-8578-c1f4641394e8
  alterId: 0
  cipher: auto
  tls: false
  skip-cert-verify: false
  network: ws
  ws-opts:
    path: /v2yes/
  udp: true
- name: Racknerd-hysteria
  server: rn.135e2.eu.org
  port: 52777
  type: hysteria
  sni: rn.135e2.eu.org
  obfs: 1145141919810
  protocol: wechat-video
  up: 100 Mbps
  down: 100 Mbps
proxy-groups:
- name: Proxies
  type: select
  proxies:
  - DIRECT
  - US1
  - Racknerd-hysteria
rules:
- DOMAIN-SUFFIX,bing.com,Proxies
- DOMAIN-SUFFIX,natfrp.cloud,Proxies
- GEOSITE,CN,DIRECT
- GEOIP,CN,DIRECT
- DOMAIN-SUFFIX,1password.com,DIRECT
- IP-CIDR,127.0.0.0/8,DIRECT
- IP-CIDR,10.0.0.0/8,DIRECT
- IP-CIDR,172.16.0.0/12,DIRECT
- IP-CIDR,192.168.0.0/16,DIRECT
- IP-CIDR,100.64.0.0/10,DIRECT
- IP-CIDR,224.0.0.0/4,DIRECT
- DOMAIN-SUFFIX,vultr.com,DIRECT
- DOMAIN-SUFFIX,mb3admin.com,DIRECT
- DOMAIN-SUFFIX,rixcloud.io,DIRECT
- DOMAIN-SUFFIX,tempestapp.io,DIRECT
- DOMAIN-SUFFIX,baidu.com,DIRECT
- DOMAIN-SUFFIX,baidu-int.com,DIRECT
- DOMAIN-SUFFIX,erebor.douban.com,DIRECT
- DOMAIN-SUFFIX,natfrp.com,DIRECT
- DOMAIN-SUFFIX,seu.edu.cn,DIRECT
- DOMAIN,mtalk.google.com,DIRECT
- DOMAIN,alt1-mtalk.google.com,DIRECT
- DOMAIN,alt2-mtalk.google.com,DIRECT
- DOMAIN,alt3-mtalk.google.com,DIRECT
- DOMAIN,alt4-mtalk.google.com,DIRECT
- DOMAIN,alt5-mtalk.google.com,DIRECT
- DOMAIN,alt6-mtalk.google.com,DIRECT
- DOMAIN,alt7-mtalk.google.com,DIRECT
- DOMAIN,alt8-mtalk.google.com,DIRECT
- DOMAIN,alt9-mtalk.google.com,DIRECT
- DOMAIN,captive.apple.com,DIRECT
- DOMAIN,time-ios.apple.com,DIRECT
- DOMAIN-SUFFIX,gateway.push-apple.com.akadns.net,DIRECT
- DOMAIN-SUFFIX,push.apple.com,DIRECT
- DOMAIN-KEYWORD,github,Proxies
- DOMAIN-SUFFIX,github.com,Proxies
- DOMAIN-SUFFIX,github.io,Proxies
- DOMAIN-SUFFIX,githubapp.com,Proxies
- DOMAIN-SUFFIX,githubassets.com,Proxies
- DOMAIN-SUFFIX,githubusercontent.com,Proxies
- DOMAIN-SUFFIX,home-intl.console.aliyun.com,Proxies
- DOMAIN,ip.skk.moe,Proxies
- DOMAIN,ip.sb,Proxies
- DOMAIN-SUFFIX,googleapis.cn,Proxies
- DOMAIN-SUFFIX,maying.co,Proxies
- DOMAIN-SUFFIX,flowercloud.net,Proxies
- DOMAIN-SUFFIX,socloud.me,Proxies
- DOMAIN-SUFFIX,ytoo.asia,Proxies
- DOMAIN-SUFFIX,ytoo.co.uk,Proxies
- MATCH,Proxies